Bug 1446500 (CVE-2017-8105) - CVE-2017-8105 freetype: heap-based buffer overflow related to the t1_decoder_parse_charstrings
Summary: CVE-2017-8105 freetype: heap-based buffer overflow related to the t1_decoder_...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-8105
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1446501 1446502 1446503
Blocks: 1446078 1446505
TreeView+ depends on / blocked
 
Reported: 2017-04-28 08:55 UTC by Adam Mariš
Modified: 2019-09-29 14:11 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 09:07:35 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-28 08:55:02 UTC
FreeType 2 before 2017-03-24 has an out-of-bounds write caused by a heap-based buffer overflow related to the t1_decoder_parse_charstrings function in psaux/t1decode.c.

Bug report:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=935

Upstream patch:

https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=f958c48ee431bef8d4d466b40c9cb2d4dbcb7791

Comment 1 Adam Mariš 2017-04-28 08:55:59 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1446501]


Created mingw-freetype tracking bugs for this issue:

Affects: epel-7 [bug 1446503]
Affects: fedora-all [bug 1446502]

Comment 3 Stefan Cornelius 2017-08-22 09:07:53 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.